Subject: Re: bug#51794: 29.0.50; invalid input events generated from a mouse click for the tab bar

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Nov 2021 16:40:58 +0200

[PLEASE USE REPLY ALL TO REPLY, SO THAT THE BUG TRACKER IS CC'ED.]

> From: Mark Kennedy <[email-masked]>
> Date: Sat, 13 Nov 2021 08:50:08 -0500
> 
> reproducing from -Q is a nightmare.  your comment that it did not
> recognize the part of the window frame is what i want to focus on.
> the window containing the scala mode buffer contains tab-bar tabs.  i
> am clicking in either a tab (on the close icon) or to the right of the
> tab list on the "open new empty tab" icon (still within the tab bar).
> how could that generate the <nil> input event?

I don't know.  That's why I asked for a recipe: to try debugging it
myself.  If it isn't practical to provide a recipe, you will have to
debug it on your system.